#include <stdio.h>
#include <SDL2/SDL.h>
#include <SDL2/SDL_image.h>
#include "structure.h"

const int WIDTH = 1000;
const int HEIGHT = 1000;

const int ROOM_SIZE = 100;
const int MAX_SPEED = 150;               // m/s

const double DIST_EDGE = 0.2;
const double START_EDGE = 0.05;
const double RESTITUTION_WALL = 0.8;
const double RESTITUTION_PLAYER = 0.8;

const int PLAYER_R = 10;
const int MAX_THETA_SPAWN = 60;         // degrees

const int BARRIERS = 1;
const double BARRIER_WIDTH = 0.05;

const double FRICTION = 0.75;
const double DV = 1.0;                  // m/s
const double DT = 1.0/100.0;
const double EPSILON = 1.0/4096.0;